Bug 123738 - RFE: wireless config lacks authentication
RFE: wireless config lacks authentication
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 08:30 EDT by cam
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 06:32:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cam 2004-05-20 08:30:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040319

Description of problem:
When using wireless with WEP there are two possibilities, open system
or shared key. These relate to the authentication used on the network.

It is possible for a network to refuse access if shared key is required.

It is the default in the driver (orinoco_cs) to use open system.

Consequently the wireless network is not usable and no informative
error message is given.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. configure network to require authentication (shared key)
2. configure test machine with correct ESSID and KEY
3. note that open system vs. shared key config is not offered
 

Actual Results:  observe that the connection is not working

Expected Results:  1. error message to say that connection was not
possible
2. [suggestion] offer to retry with shared key mode
3. allow user to specify shared key in the first place

Additional info:


The config to enforce shared key is to add the word 'restricted' to
the wireless key.

The only way I can find to do this from the system-config-network GUI
is to enter the wireless key as:

restricted\ fecdba01234568923

where fecdba01234568923 is the key.
Comment 1 Matthew Miller 2005-04-26 11:39:00 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.